openjpa-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Donald Woods <dwo...@apache.org>
Subject Re: [DISCUSS] Time to finally drop Java SE 5 support starting the 2.1 codebase?
Date Mon, 13 Sep 2010 21:06:05 GMT
OK, given no responses since August 23, I'll close the discussion and
open a JIRA to make the changes.


-Donald


On 8/16/10 1:27 PM, Donald Woods wrote:
> OK, I know we've had this discussion for the 2.0 release, but now that
> you cannot receive free support updates to Sun/Oracle Java SE 5, I don't
> see why we would continue supporting it in the trunk code that will
> eventually become the 2.1 release.  It is definitely a headache to
> continue building with 1.6 but support 1.5 for runtime and verify it by
> running our JUnits on 1.5.  Also, we have the 2.0.x branch to support
> 1.5 users, so the debate about not allowing 1.5 users to move up to JPA
> 2.0 support no longer applies.
> 
> 
> Thoughts?
> 
> -Donald
> 
> 

Mime
View raw message